# BEGIN SourceDeps(oneline):
BuildRequires: perl(Errno.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
%global pkgname Net-LibIDN

Summary:    Perl bindings for GNU LibIDN
Name:       perl-Net-LibIDN
Version:    0.12
Release:    alt2_14
License:    GPL+ or Artistic
Group:      Development/Perl
URL:        http://search.cpan.org/dist/%{pkgname}/
Source:     http://search.cpan.org/CPAN/authors/id/T/TH/THOR/%{pkgname}-%{version}.tar.gz
BuildRequires:  libidn-devel >= 0.4.0
BuildRequires:  perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Getopt/Long.pm)
# Run-time:
BuildRequires:  perl(AutoLoader.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Exporter.pm)
# Tests:
BuildRequires:  perl(Test.pm)

# Filter the Perl extension module

Source44: import.info

%description
Provides perl bindings for GNU Libidn, a C library for handling
Internationalized Domain Names according to IDNA (RFC 3490), in
a way very much inspired by Turbo Fredriksson's PHP-IDN.

%prep
%setup -q -n %{pkgname}-%{version}
# Change man page encoding into UTF-8
for F in _LibIDN.pm; do
    iconv -f latin1 -t utf-8 < "$F" > "${F}.utf"
    sed -i -e '/^=encoding\s/ s/latin1/utf-8/' "${F}.utf"
    touch -r "$F" "${F}.utf"
    mv "${F}.utf" "$F"
done;

%build
perl Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} +
find $RPM_BUILD_ROOT -type f -name '*.bs' -empty -exec rm -f {} +
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Artistic Changes README
%{perl_vendorarch}/Net
%{perl_vendorarch}/auto/Net

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.12-alt2_14
- update to new release by fcimport

* Mon Dec 03 2012 Igor Vlasenko <viy@altlinux.ru> 0.12-alt2_13
- update to new release by fcimport

* Thu Oct 11 2012 Igor Vlasenko <viy@altlinux.ru> 0.12-alt2_12
- update to new release by fcimport

* Mon Sep 10 2012 Cronbuild Service <cronbuild@altlinux.org> 0.12-alt2_8
- rebuild with new perl

* Wed May 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.12-alt1_8
- fc import

